Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.endeca.portal.data.config
Class DataSourceConfigHelper

    java.lang.Object
      com.endeca.portal.data.config.DataSourceConfigHelper

    public class DataSourceConfigHelper

extends java.lang.Object

Field Summary
`static java.lang.String` | `DATA_SOURCE_CONFIG_DIRECTORY`

Constructor Summary
`DataSourceConfigHelper()`

Method Summary
`static void` | `addDataSourceConfiguration(MDEXState d)`
`static void` | `deleteDataSourceConfiguration(MDEXState d)`
`static java.lang.String` | `expandLiferayHomeToken(java.lang.String value)` Expands tokens in a path string representing the data source directory.
`static java.util.Map<java.lang.String,MDEXState>` | `getDataSourceConfigurations()`
`static int` | `getDataSourceConfigVersion()`
`static java.io.File` | `getFileFromPath(java.lang.String path)`
`static void` | `incrementDataSourceConfigVersion()`
`static java.util.List<DataSourceConfigError>` | `reloadDataSourceConfigurations()`
`static void` | `resetDataSourceStatusPoller()`
`static void` | `updateDataSourceConfiguration(MDEXState d, boolean overwrite, boolean backup)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DATA_SOURCE_CONFIG_DIRECTORY

    public static final java.lang.String DATA_SOURCE_CONFIG_DIRECTORY

See Also:
  Constant Field Values

Constructor Detail

### DataSourceConfigHelper

    public DataSourceConfigHelper()

Method Detail

### resetDataSourceStatusPoller

    public static void resetDataSourceStatusPoller()

### getDataSourceConfigurations

    public static java.util.Map<java.lang.String,MDEXState> getDataSourceConfigurations()

### reloadDataSourceConfigurations

    public static java.util.List<DataSourceConfigError> reloadDataSourceConfigurations()

  Returns:
    A list of errors

### incrementDataSourceConfigVersion

    public static void incrementDataSourceConfigVersion()

### getDataSourceConfigVersion

    public static int getDataSourceConfigVersion()

### addDataSourceConfiguration

    public static void addDataSourceConfiguration(MDEXState d)
                                           throws DataSourceConfigAlreadyExistsException,
                                                  DataSourceConfigUpdateException

  Throws:
    `DataSourceConfigAlreadyExistsException`
    `DataSourceConfigUpdateException`

### updateDataSourceConfiguration

    public static void updateDataSourceConfiguration(MDEXState d,
                                                     boolean overwrite,
                                                     boolean backup)
                                              throws DataSourceConfigAlreadyExistsException,
                                                     DataSourceConfigUpdateException

  Parameters:
    `d` - the data source configuration to be written, represented by an MDEXState
    `overwrite` - should we overwrite a definition that already exists?
    `backup` -
  Throws:
    `DataSourceConfigAlreadyExistsException` - if overwrite is false but an Data Source config already exists
    `DataSourceConfigUpdateException` - if other errors occurred while updating

### deleteDataSourceConfiguration

    public static void deleteDataSourceConfiguration(MDEXState d)

### expandLiferayHomeToken

    public static java.lang.String expandLiferayHomeToken(java.lang.String value)

  Expands tokens in a path string representing the data source directory. Currently the only acceptable token is "${liferay.home}"

  Parameters:
    `value` - the tokenized path string
  Returns:
    the path string with tokens replaced

### getFileFromPath

    public static java.io.File getFileFromPath(java.lang.String path)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD